import { OnInit } from '@angular/core';
import { TimelineEvent } from '../../models/task-history';
import { OperationType } from '../../models/operation-type';
import { Location } from '@angular/common';
import { TaskHistoryService } from './task-history.service';
import { ActionHistory } from '../../models/ActionHistory';
import { Actor } from '../../models/Actor';
import * as i0 from "@angular/core";
export declare class TaskHistoryComponent implements OnInit {
    private _location;
    private service;
    taskCode: import("@angular/core").InputSignal<string>;
    operationType: typeof OperationType;
    selectedDetail: any;
    showPopUp: boolean;
    active: number;
    constructor(_location: Location, service: TaskHistoryService);
    singleHistory: TimelineEvent[];
    history: ActionHistory[];
    ngOnInit(): void;
    goBack(): void;
    onPopUp(details: any): void;
    offPopUp(): void;
    setActive(i: number): void;
    getTagsFromActor(actor: Actor): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TaskHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TaskHistoryComponent, "lib-task-history", never, { "taskCode": { "alias": "taskCode"; "required": true; "isSignal": true; }; }, {}, never, never, false, never>;
}
